### Constructor

# FwupdPlugin Quirks new

since: 1.0.1

#### Declaration [src]

    FuQuirks*
    fu_quirks_new (
      FuContext* ctx
    )

#### Description [src]

Creates a new quirks object.

Available since: 1.0.1

This constructor is not directly available to language bindings.

#### Parameters

`ctx`

  Type: `FuContext`

  No description available.

  The data is owned by the caller of the function.

#### Return value

Type: `FuQuirks`

A new `FuQuirks`.

The caller of the function takes ownership of the data, and is responsible for freeing it.